Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.conf
Class JDOVersion

    java.lang.Object
      |
      +--com.solarmetric.kodo.conf.JDOVersion

public class JDOVersion
extends Object

This class contains version information for JDO. It uses Ant's filter tokens to convert the template into a java file with current information.

Field Summary
`static int` | `MAJOR_RELEASE`
`static int` | `MINOR_RELEASE`
`static int` | `PATCH_RELEASE`
`static Date` | `RELEASE_DATE`
`static String` | `VENDOR_NAME`
`static String` | `VERSION_ID`
`static String` | `VERSION_NUMBER`

Constructor Summary
`JDOVersion()`

Method Summary
`static void` | `main(String[] args)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION_NUMBER

    public static final String VERSION_NUMBER

### RELEASE_DATE

    public static final Date RELEASE_DATE

### VERSION_ID

    public static final String VERSION_ID

### VENDOR_NAME

    public static final String VENDOR_NAME

### MAJOR_RELEASE

    public static final int MAJOR_RELEASE

### MINOR_RELEASE

    public static final int MINOR_RELEASE

### PATCH_RELEASE

    public static final int PATCH_RELEASE

Constructor Detail

### JDOVersion

    public JDOVersion()

Method Detail

### main

    public static void main(String[] args)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.